<div class="plc user">
	<div class="plc-menu">
		PLC数据类型管理
	</div>
	<div class="plc-content">
		<div class="row">
			<div class="col-sm-12" ng-if="config.canEdit">
				<div class="plc-group-input-btn" >
					<div class="one-line-btns">
						<button type="button" namd="Set focus button" class="btn btn-primary addBtn" ng-click="addRows();">新增</button>
						<input type="number" min="1" name="addRowNum" ng-model="config.addRowsNum" class="one-line-row form-control">
						<label class="control-label">行</label>
					</div>

					<div class="one-line-btns">
						<button type="button" namd="Set focus button" class="btn btn-primary deleteBtn" ng-click="checkAndDeleteSelectedRows();" ng-disabled="config.btnDisabledDelete">删除</button>
					</div>
					<div class="save-btn pull-right one-line-btns">
						<button type="button" namd="Set focus button" class="btn btn-primary saveBtn" ng-disabled="config.btnDisabledSave" ng-click="saveAllAcitons();">保存</button>
					</div>
				</div>
			</div>
			<div class="col-sm-12">
				<div class="andon-grid">
					<div id="type-manager-grid" ui-grid="virtualGridOptions"  class="myGrid"
						 ui-grid-edit ui-grid-cellnav ui-grid-selection
						 ui-grid-validate ui-grid-auto-resize
						 class="grid2 ad-basic-grid myGrid"></div>
				</div>

				<!-- ui-grid-pagination  ui-grid-row-edit  ui-grid-pagination -->
			</div>

		</div>
	</div>

	<!-- <div id="type-manager-grid" ui-grid="virtualGridOptions"
		 ui-grid-edit ui-grid-cellnav ui-grid-selection   ui-grid-validate ui-grid-auto-resize
		 class=""></div> -->
	<!-- ui-grid-pagination  ui-grid-row-edit  ui-grid-pagination -->
</div>



































